Subject: [alto] Unified Properties: Consistency procedure between registries

From: "Randriamasy, Sabine (Nokia - FR/Paris-Saclay)" <[email-masked]>
Date: Wed, 16 May 2018 11:50:15 +0000

Hello,

Pursuant to the last ALTO WG meeting, we came up with the following approach to ensure manual consistency between the ALTO ADDRESS TYPE (ADR) and ALTO DOMAIN (AED) registries. Before going ahead and posting an update for the UP draft, we would like to gauge whether there are any objections or comments in the WG to the approach that is sketched below.

Thanks
Sabine et al.

----------------------------------------------------------------
We define that the ALTO Domain Registry is consistent with the ALTO Address Type
Registry if two conditions are satisfied:

o  When an address type is already or able to be registered in the
ALTO Address Type Registry [RFC7285], the same identifier MUST be
used when a corresponding domain is registered in the ALTO Domain
  Registry.

o  If an ALTO domain has the same identifier as an ALTO address type,
their addresses encoding MUST be compatible.
To achieve this consistency, the following checks MUST be done before registering a new ALTO domain in a future document:

o  Whether the ALTO Address Type Registry contains an address type  that can be used as an entity address for the candidate domain identifier. This has been done for the identifiers "ipv4" and "ipv6" in Table 2.
o  Whether the candidate entity address of the domain is able to be
an endpoint address, as defined in Sections 2.1 and 2.2 of
[RFC7285].

When a new ALTO domain is registered, the consistency with the ALTO  Address Type Registry MUST be ensured by the following procedure:

o  test: do corresponding entity addresses match a known "network" address type?
   *  if yes: (e.g., cell, MAC or socket addresses)
                +  test: Is such an address type present in the ALTO Address Type Registry?
                   -  if yes: Set the new ALTO domain identifier to be the found ALTO address type identifier.
                   -  if no: Define a new ALTO domain identifier and use it to  register a new address type in the ALTO Address Type Registry following Section 14.4 of [RFC7285].
                +  Use the new ALTO domain identifier to register a new ALTO  domain in the ALTO Domain Registry following Section 9.2.2 of this document.
   *  if no (e.g., pid name, ane name or country code): Proceed with the domain name registration as described in Section 9.2.2.
----------------------------------------------------------------